Skip to main content
PATCH
Update a template listing

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listing_id
string
required

Body

application/json

Send only the fields that change; null clears an optional field.

slug
string | null
Maximum string length: 80
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
title
string | null
Required string length: 1 - 255
description
string | null
category
string | null
Maximum string length: 64
tags
string[] | null
priority
integer | null
premium
boolean | null
status
enum<string> | null
Available options:
draft,
published
preview_url
string<uri> | null
Required string length: 1 - 2083
family
string | null
Maximum string length: 64

Response

Successful Response

A gallery listing as stored.

id
string
required

Listing id.

project_id
string
required

The listed template project.

slug
string
required
title
string
required
priority
integer
required
premium
boolean
required
status
enum<string>
required
Available options:
draft,
published
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
category
string | null
tags
string[]
preview_url
string | null
published_at
string<date-time> | null
family
string | null